Bug 14157 - Show notices tab with EnhancedMessagingPreferences deactivated
Summary: Show notices tab with EnhancedMessagingPreferences deactivated
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Sophie MEYNIEUX
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-06 14:17 UTC by Ed Veal
Modified: 2017-06-14 22:11 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14157 : Notices tab in the patron record should not depend on EnhancedMessagingPreferences to display (3.29 KB, patch)
2015-11-04 18:18 UTC, Sophie MEYNIEUX
Details | Diff | Splinter Review
Bug 14157 : Notices tab in the patron record should not depend on EnhancedMessagingPreferences to display (3.46 KB, patch)
2015-11-05 06:31 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 14157 : Notices tab in the patron record should not depend on EnhancedMessagingPreferences to display (3.52 KB, patch)
2015-11-05 07:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Veal 2015-05-06 14:17:04 UTC
If you “Don’t Allow” the EnhancedMessagingPreferences then staff looses the “notice” tab in the patron record and they can’t see information about overdue notices being sent.

So if you don’t want patrons to choose enhanced messages you can’t track the sending of overdue notices.
Comment 1 Sophie MEYNIEUX 2015-11-04 18:18:45 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-11-05 06:31:32 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-11-05 07:06:59 UTC
Created attachment 44457 [details] [review]
[PASSED QA] Bug 14157 : Notices tab in the patron record should not depend on EnhancedMessagingPreferences to display

Overdue and Hold notices can be sent even if EnhancedMessagingPreference is set to "Don't Allow", so Notices tab have to be visible in all cases.

Test plan :
  - without patch :
    - set EnhancedMessagingPreference to "Don't Allow" and go to patron record : there is no Notices tab
    - set EnhancedMessagingPreference to "Allow" and og to patron record : there is a Notices tab

  - apply this patch :
    - go to patron record, you cas see a Notices tab
    - change the value of EnhanceMessagingPreferences, Notices tab is always visible.

Followed test plan, works as expected
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2015-11-05 07:08:07 UTC
This is a small change in behaviour, but as we have no preference for "UsesOverdueNotices" it's a quick fix. The tab can still be hidden with jQuery. It would be nice to have a follow up adding an id to the element, to make it even easier.
Comment 5 Katrin Fischer 2015-11-05 07:08:47 UTC
Hm, I see it also checkes for "sentnotices".
Comment 6 Tomás Cohen Arazi 2015-11-05 13:37:57 UTC
Patch pushed to master.

Thanks Sophie!
Comment 7 Frédéric Demians 2015-11-29 20:22:09 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 8 Liz Rea 2016-01-06 21:21:17 UTC
Pushed to 3.18.13, and released.